IScore

data

## Class IScore

- java.lang.Object
- - data.IScore

- All Implemented Interfaces:
    BasicDataElement

      public class IScore
      extends java.lang.Object
      implements BasicDataElement

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `denominator`
    `private java.lang.String` | `name`
    `private int` | `numerator`
    `private java.util.ArrayList<IPart>` | `parts`
    `private int` | `ppqn`
    `private double` | `tempo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IScore(java.lang.String _name, double _tempo)`
    `IScore(java.lang.String _name, double _tempo, int _numerator, int _denominator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIPart(IPart part)`
    `int` | `getDenominator()`
    `IPart` | `getIPart(int i)`
    `java.util.ArrayList<IPart>` | `getIParts()`
    `jm.music.data.Score` | `getMusicStructure()`
    `java.lang.String` | `getName()`
    `int` | `getNumerator()`
    `int` | `getPPQN()`
    `jm.music.data.Score` | `getScore()`
    `double` | `getTempo()`
    `void` | `setName(java.lang.String name)`
    `void` | `setPPQN(int ppqn)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### tempo

          private double tempo

    - #### numerator

          private int numerator

    - #### denominator

          private int denominator

    - #### ppqn

          private int ppqn

    - #### parts

          private java.util.ArrayList<IPart> parts

  - ### Constructor Detail

    - #### IScore

          public IScore(java.lang.String _name,
                double _tempo,
                int _numerator,
                int _denominator)

    - #### IScore

          public IScore(java.lang.String _name,
                double _tempo)

  - ### Method Detail

    - #### setPPQN

          public void setPPQN(int ppqn)

    - #### getPPQN

          public int getPPQN()

    - #### getNumerator

          public int getNumerator()

    - #### getDenominator

          public int getDenominator()

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getTempo

          public double getTempo()

    - #### addIPart

          public void addIPart(IPart part)

    - #### getIPart

          public IPart getIPart(int i)

    - #### getIParts

          public java.util.ArrayList<IPart> getIParts()

    - #### getScore

          public jm.music.data.Score getScore()

    - #### getMusicStructure

          public jm.music.data.Score getMusicStructure()

      Specified by:
        `getMusicStructure` in interface `BasicDataElement`